# vim: set ft=spec: -*- rpm-spec -*-

%define sitedocroot %_var/www/%name

Name: xsp
Version: 1.0
Release: alt1

Summary: XSP server
License: LGPL
Group: System/Servers
Url: http://www.mono-project.com/

Source0: %name-%version.tar.gz
Source1: %name.init
Source2: %name.config

Requires: mono, mcs
Requires(post): %post_service
Requires(preun): %preun_service


# Automatically added by buildreq on Mon Aug 09 2004
BuildRequires: glib2 hostinfo mcs mono xsp

%package samples
Summary: ASP.NET Samples for XSP server
Group: System/Servers
Requires: xsp

%description
The XSP server of ASP.NET

%description samples
ASP.NET Samples for XSP server

%prep
%setup -q -n %name-%version 

%build
export PATH=$PATH:/usr/lib/mono/bin
%configure
%make

%install 
export PATH=$PATH:/usr/lib/mono/bin
make install  DESTDIR=%buildroot
%__mkdir_p %buildroot%_var
%__mkdir_p %buildroot%_sysconfdir
%__mkdir_p %buildroot%_sysconfdir/xsp
%__mkdir_p %buildroot%_var/www
%__mkdir_p %buildroot%sitedocroot/
mv %buildroot%_docdir/xsp/test/* %buildroot%sitedocroot/

cat > %buildroot%_bindir/%name << EOF
#!/bin/sh
export PATH=/usr/bin:/usr/lib/mono/bin
exec /usr/lib/mono/bin/mono /usr/bin/xsp.exe \$@
EOF
%__chmod 755 %buildroot%_bindir/%name

%__mkdir_p %buildroot%_var/run/%name

%__install -m0755 %SOURCE1 -D %buildroot%_initdir/%name
%__install -m0644 %SOURCE2 -D %buildroot%_sysconfdir/xsp.conf


%pre 
%_sbindir/groupadd -r -f webmaster &>/dev/null ||:
%_sbindir/groupadd -r -f %name &>/dev/null ||:
%_sbindir/useradd -r -g %name -d %_var/www/%name -s /dev/null \
        -c "XSP Web Server" -M -n %name &>/dev/null ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%_bindir/*
%_libdir/*
%_man1dir/*
%_sysconfdir/xsp/
%_sysconfdir/xsp.conf
%_initdir/%name
%attr(2775,root,webmaster) %dir %sitedocroot
%attr(0730,root,%name) %dir %_var/run/%name

%files samples
%sitedocroot/*

%changelog
* Mon Aug  9 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.0-alt1
- release

* Thu Feb 26 2004 Pavel S. Mironchik <tibor@altlinux.ru> 0.9-alt1
- new version release

* Wed Dec 17 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.8-alt1
- new release

* Thu Oct 16 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.6-alt1
- new version

* Thu Sep 18 2003 Pavel S. Mironchik <tibor@altlinux.ru> 0.5-alt1
- Initial build for ALTLinux.


